Subject: Re: A real fork() on NT
From: "Chris January" <[email-masked]>
To: "Corinna Vinschen" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 2 Feb 2002 03:05:47 -0000

> That isn't really new.  I'd like to point you to the example 6.1,
> "Forking a Win32 Process" on p. 161ff of Gary Nebbett's excellent
> book "Windows NT/2000 Native API Reference", published by MTP,
> ISBN 1-57870-199-6, which also describes the problem with kernel32.dll
> initialization of the child process.

Are you referring to the CsrpConnectToServer function? I have a working
implementation which replaces this with CsrClientConnectToServer which is
exported from the DLL. Are their any other pitfalls I should be aware of?

Regards
Chris

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/